Urgente Aiuto installazione di programmi sulla suse 10.0

22 risposte [Ultimo messaggio]
Ritratto di spino
spino
(Junior)
Offline
Junior
Iscritto: 05/11/2007
Messaggi: 20

quando metto configure..dopo aver scompattato il pacchetto,mi dice ''configure: error: no acceptable C compiler found in $PATH'' precisamente....
checking for prefix by checking for wish... no
which: no tclsh in (/sbin:/usr/sbin:/usr/local/sbin:/opt/kde3/sbin:/o pt/gnome/sbin:/root/bin:/usr/local/bin:/usr/bin:/u sr/X11R6/bin:/bin:/usr/games:/opt/gnome/bin:/opt/k de3/bin:/usr/lib/jvm/jre/bin:/usr/lib/mit/bin:/usr/ lib/mit/sbin)
expr: syntax error
/home/spino/Desktop/amsn-0.97RC1/configure: line 1476: test: too many arguments
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
see `config.log' for more details.

Qual'e il problma?me lo fa con tutto....ho scaricato anche la versione del gcc 4.2.2 ma nanche quella mi fa installare ...come devo fare?sono passato da poco a linux...e non so proprio come fare ....help me Thinking Thinking Thinking

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Avvia yast -> software management, cerca gcc e installa i pacchetti gcc, cpp, gcc-c++ che sono presenti nei cd o nel dvd di installazione.
Gia` che ci sei, cerca anche make e installa i pacchetti automake, autoconf e make.

Probabilmente, dopo aver fatto cio` quando ridarai ./configure ti saranno indicate altre dipendenze non soddisfatte (dipendono da cosa vuoi compilare): cercale con yast e installa i pacchetti -devel corrispondenti.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di spino
spino
(Junior)
Offline
Junior
Iscritto: 05/11/2007
Messaggi: 20

gia fatto ci sono e sono installati...come devo fare?

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Controlla ed eventualmente installa il pacchetto tcl; prima non ci avevo fatto caso...

Ah, una cosa: ./configure e make conviene darli come utente normale; solo il make install lo dai con i permessi di root.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di spino
spino
(Junior)
Offline
Junior
Iscritto: 05/11/2007
Messaggi: 20

anche i tcl ci son,cmq gli ho fatti rinstallare....ma niente lo stesso...sempre la stessa cosa...non so piu che fare Sad

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Di nuovo: controlla e installa tk e tcl-devel

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di spino
spino
(Junior)
Offline
Junior
Iscritto: 05/11/2007
Messaggi: 20

tk e tcl-devel non me i trova...come faccio?

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Puoi aggiungere questo repository http://suse.bifi.unizar.es/opensuse/distribution/SL-10.0-OSS/inst-sourc/suse ad yast (ti avverto che impiegera` un po' ad aggiungerlo, dato che contiene l'intero dvd di installazione di suse 10.0; se lo aggiungi, poi disabilita il refresh, dato che e` inutile e perdi solo tempo) oppure scarichi i pacchetti che ti ho indicato (si trovano nella sottodirectory i586) e poi li installi con il comando rpm -ivh <nomefile> dato come root.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di spino
spino
(Junior)
Offline
Junior
Iscritto: 05/11/2007
Messaggi: 20

io non ho adsl ,non sono raggiunto da essa...e quindi non posso fare come hai detto...se tk mi trova dei pacchetti,mentre se metto tk-devel non mi trova niente....cmq ho fatto come hai detto,ma dal mio dvd ma lo stesso non mi fa installare niente.....
linux:/home/spino/amsn # /home/spino/amsn/configure
checking for prefix by checking for wish... /usr/bin/wish
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

Thinking

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Da prima ad adesso le cose sono cambiate: hai installato tk e non c'e` piu` il primo errore. Poi non devi installare tk-devel ma tcl-devel, che e` un'altra cosa.

Per quanto riguarda il gcc, non te lo trova. Controlla di nuovo di averlo installato e, da terminale, prova a dare il comando gcc -v e guarda cosa ti dice. In teoria, gli eseguibili di gcc li trovi in /usr/bin (gcc, g++, cpp, ...)

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di spino
spino
(Junior)
Offline
Junior
Iscritto: 05/11/2007
Messaggi: 20

non ci sono gli eseguibili,dove si trova sul dvd gcc?cosi provo ad installarlo..